Bug 122431 - FILESAVE: DOC: Header/Footer are gone in MSOffice with a protected file
Summary: FILESAVE: DOC: Header/Footer are gone in MSOffice with a protected file
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:6.3.0 target:6.2.0.2
Keywords: bibisected, bisected, filter:doc, regression
Depends on:
Blocks: DOC-Header-Footer
  Show dependency treegraph
 
Reported: 2019-01-02 16:56 UTC by Xisco Faulí
Modified: 2019-01-11 11:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
01_Eudralink_Application_Form_110620_nopasswd.doc (114.00 KB, application/msword)
2019-01-03 08:06 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-01-02 16:56:42 UTC
Steps to reproduce:
1. Open attachment 72529 [details] from bug 59047
2. Save it as .DOC
3. Open the file in MSO

-> Header is gone

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: 49c61f660d05ab13140d4349a0b3f6efba742022
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2019-01-02 16:58:18 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=8ba20167034f38ea2984bc8fb0e785da107cb82b

author	Justin Luth <justin.luth@collabora.com>	2018-10-18 08:17:40 +0300
committer	Justin Luth <justin_luth@sil.org>	2018-10-18 08:36:21 +0200
commit	8ba20167034f38ea2984bc8fb0e785da107cb82b (patch)
tree	ecc0a90ee340e431e4b2ee1d248a39483bf71c21
parent	c0f0592bd55a865c5bbde9729ec75e8c18562597 (diff)
tdf#37778 ww8import: protect section only if protEnabled

Bisected with: bibisect-linux64-6.2 

Adding Cc: to Justin Luth
Comment 2 Justin L 2019-01-03 07:45:23 UTC
confirmed with Word 2003 - the header is missing.
Note: if saved as .docx, it is not missing, and LO itself DOES see the header in all cases.
Comment 3 Justin L 2019-01-03 08:06:25 UTC
Created attachment 147969 [details]
01_Eudralink_Application_Form_110620_nopasswd.doc

I used word 2003 to remove the password. It is still protected (which is necessary to reproduce the missing header). The read-only protection can be stopped in LibreOffice via Tools - Options - Writer - Compatibility - Protect Form.
Comment 4 Justin L 2019-01-03 18:09:12 UTC
proposed fix at https://gerrit.libreoffice.org/65840
Comment 5 Xisco Faulí 2019-01-03 20:30:47 UTC
attachment 52268 [details] from bug 41728 is another document affected by the same problem
Comment 6 Xisco Faulí 2019-01-03 22:40:56 UTC
attachment 135890 [details] from bug 37153 is also affected ( second page )
Comment 7 Commit Notification 2019-01-07 18:49:14 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0a6c609bdc89dd0317d3f5013c13d85d50d30669%5E%21

tdf#122429/tdf#122431 ww8export: export H/F to default section

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2019-01-08 14:40:45 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 31c1995037a7ad408a5af6917288d8e3888a472d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Justin Luth, Thanks for fixing this!!
Comment 9 Commit Notification 2019-01-08 21:54:53 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/73c7b0414679c002cd925ead8018837dd39eaf86%5E%21

tdf#122429/tdf#122431 ww8export: export H/F to default section

It will be available in 6.2.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.